Bug 66733

Summary: RenderText::computePreferredLogicalWidths() should measure words with trailing spaces
Product: WebKit Reporter: Ned Holbrook <ned>
Component: TextAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: dglazkov, levin, mitz, rniwa, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Bug Depends on:    
Bug Blocks: 66498    
Attachments:
Description Flags
Proposed changes.
none
Added pixel results. mitz: review+, webkit.review.bot: commit-queue-

Description Ned Holbrook 2011-08-22 17:03:05 PDT
This function should measure complex text in the same manner as RenderBlock::LineBreaker::nextLineBreak().
Comment 1 Ned Holbrook 2011-08-22 17:11:34 PDT
Created attachment 104768 [details]
Proposed changes.

Note that I shamelessly stole the test from Mitz.
Comment 2 mitz 2011-08-22 17:14:56 PDT
Comment on attachment 104768 [details]
Proposed changes.

Looks good but please run run-webkit-tests with the --pixel option and include the -expected.png file in your patch.
Comment 3 Ned Holbrook 2011-08-22 17:35:30 PDT
Created attachment 104772 [details]
Added pixel results.
Comment 4 WebKit Review Bot 2011-08-22 18:08:48 PDT
Comment on attachment 104772 [details]
Added pixel results.

Attachment 104772 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/9479039

New failing tests:
fast/text/complex-preferred-logical-widths.html
Comment 5 Ned Holbrook 2011-08-23 11:07:54 PDT
(In reply to comment #4)
> New failing tests:
> fast/text/complex-preferred-logical-widths.html

This is the test I just added. What does it mean?
Comment 6 mitz 2011-08-26 13:44:08 PDT
Fixed in <http://trac.webkit.org/r93909>.
Comment 7 Ryosuke Niwa 2011-08-30 00:05:38 PDT
The test added by this patch is failing on Snow Leopard:
http://build.webkit.org/results/SnowLeopard%20Intel%20Debug%20(Tests)/r93929%20(1875)/fast/text/complex-preferred-logical-widths-pretty-diff.html

Does it just need a rebaseline?
Comment 9 mitz 2011-08-30 09:27:11 PDT
(In reply to comment #7)
> The test added by this patch is failing on Snow Leopard:
> http://build.webkit.org/results/SnowLeopard%20Intel%20Debug%20(Tests)/r93929%20(1875)/fast/text/complex-preferred-logical-widths-pretty-diff.html
> 
> Does it just need a rebaseline?

The test had correct results and was passing as of r93909. Then incorrect results (which are incorrect for both Lion and Snow Leopard) were landed in <http://trac.webkit.org/r93924>.
Comment 10 Ryosuke Niwa 2011-08-30 09:34:16 PDT
(In reply to comment #9)
> The test had correct results and was passing as of r93909. Then incorrect results (which are incorrect for both Lion and Snow Leopard) were landed in <http://trac.webkit.org/r93924>.

:(  +levin.
Comment 11 David Levin 2011-08-30 09:51:01 PDT
(In reply to comment #10)
> (In reply to comment #9)
> > The test had correct results and was passing as of r93909. Then incorrect results (which are incorrect for both Lion and Snow Leopard) were landed in <http://trac.webkit.org/r93924>.
> 
> :(  +levin.

I don't know what happened there. Obviously a mistake -- yep I do them :). Feel free to revert it.

I suspect it was an issue with the rebaselining tool that I didn't catch before submitting.
Comment 12 David Levin 2011-08-30 10:42:53 PDT
(In reply to comment #10)
> (In reply to comment #9)
> > The test had correct results and was passing as of r93909. Then incorrect results (which are incorrect for both Lion and Snow Leopard) were landed in <http://trac.webkit.org/r93924>.
> 
> :(  +levin.

:) https://bugs.webkit.org/show_bug.cgi?id=67209